import { BytesLike } from "@ckb-lumos/codec";
export type SupportedBtcAddressType = "P2SH-P2WPKH" | "P2WPKH" | "P2PKH";
/**
 * Decode bitcoin address to public key hash in bytes
 * @see https://en.bitcoin.it/wiki/List_of_address_prefixes
 * @param address
 * @param allows
 */
export declare function decodeAddress(address: string, allows?: SupportedBtcAddressType[]): ArrayLike<number>;
export interface Provider {
    requestAccounts(): Promise<string[]>;
    signMessage(message: string, type?: "ecdsa"): Promise<string>;
}
export declare function signMessage(digest: BytesLike, type?: "ecdsa", provider?: Provider): Promise<string>;
//# sourceMappingURL=omnilock-bitcoin.d.ts.map